<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="StuControlPanel.aspx.cs"
    Inherits="SWTraining.Student.StuControlPanel" Title="学员控制面板" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link id="linkStyle" runat="server" href="../Themes/Blue/css.css" rel="stylesheet"
        type="text/css" />
    <script type="text/javascript">


        //选择菜单代码:::::::::::::
        var lastSelected = null;

        function Selected(the, gotoUrl) {
            if (the == lastSelected) {
                parent.frames[1].location = gotoUrl;
                return;
            }


            var TdSelected = the;
            TdSelected.className = "bgc6 bgimg1 TdSelected";
            if (lastSelected != null) {
                lastSelected.className = "Nav_td";
            }
            lastSelected = TdSelected;
            parent.frames[1].location = gotoUrl;
        }

        function mouseover(the) {
            currentClass = the.className;
            if (currentClass == 'Nav_td') the.className = 'Nav_td bgc4';
        }

        function mouseout(the) {
            if (the != lastSelected)
                the.className = currentClass;
        }



        function DefaultSelected() {
            if (lastSelected == null) {
                var pageIndex = Request("PageIndex");
                var action = Request("action");

                if (pageIndex == null) {
                    pageIndex = 0;
                }
                else {
                    pageIndex = eval(pageIndex);
                }

                var theTd = document.getElementById("tdShow" + (pageIndex + 1));

                switch (pageIndex) {
                    case 0:
                        {
                            if (action == "edit")
                                Selected(theTd, 'PostStudent.aspx?StudentID=' + StudentID);
                            else
                                theTd.onclick();
                            break;
                        }
                    case 2:
                        {
                            if (action == "add")
                                Selected(theTd, 'PostSellBill.aspx?StudentID=' + StudentID);
                            else
                                theTd.onclick();
                            break;
                        }
                    default:
                        theTd.onclick();
                        break;
                }

            }
        }


        
    </script>
    <style>
        .NavStyle
        {
            width: 100%;
            text-align: left;
            border-width: 0px;
            line-height: 24px;
            height: 85%;
        }
        .NavTitle td
        {
            border-style: solid;
            border-width: 0px 0px 1px 0px;
        }
        .Nav_td
        {
            width: 65px;
            border-style: solid;
            border-width: 0px 0px 1px 0px;
            cursor: pointer;
            cursor: hand;
            height: 26px;
            text-align: center;
        }
        .TdSelected
        {
            width: 65px;
            border-style: solid !important;
            border-width: 1px 1px 0px 1px !important;
            background-repeat: repeat-x !important;
            text-align: center;
            height: 26px;
        }
        td div
        {
            height: 1px;
            font-size: 1px;
            line-height: 1px;
        }
    </style>
</head>
<body onload="DefaultSelected();">
    <form id="form1" runat="server">
    <div>
        <table class="NavStyle" cellspacing="0">
            <tr class="bgc2">
                <td colspan="12" class="ControlPanelTop" style="height: 4px; border-width: 1px 1px 0px 1px;">
                    <div>
                    </div>
                </td>
            </tr>
            <tr class="NavTitle bgc2">
                <td style="width: 20px; border-width: 0px 0px 1px 1px;">
                    &nbsp;
                </td>
                <td id="tdShow1" class="Nav_td" onclick="Selected(this,'StudentShow.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    基本信息
                </td>
                <td id="tdShow2" class="Nav_td" onclick="Selected(this,'StuPayment.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    账户信息
                </td>
                <td id="tdShow3" class="Nav_td" onclick="Selected(this,'StuBill.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    消费单
                </td>
                <td id="tdShow4" class="Nav_td" onclick="Selected(this,'StuProduct.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    已购产品
                </td>
                <td id="tdShow5" class="Nav_td" onclick="Selected(this,'StuClass.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    选班信息
                </td>
                <td id="tdShow6" class="Nav_td" onclick="Selected(this,'StuLessons.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    上课信息
                </td>
                <td id="tdShow7" class="Nav_td" onclick="Selected(this,'StuChange.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    异动信息
                </td>
                <td id="tdShow8" class="Nav_td" onclick="Selected(this,'StuLeave.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    请假信息
                </td>
                <td id="tdShow9" class="Nav_td" onclick="Selected(this,'PointsExchange.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    积分兑换
                </td>
                <td id="tdShow10" class="Nav_td" onclick="Selected(this,'Password.aspx?StudentID='+StudentID)"
                    onmouseover="mouseover(this)" onmouseout="mouseout(this)">
                    修改密码
                </td>
                <td style="border-width: 0px 1px 1px 0px;">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td colspan="12" class="bgc6" style="height: 2px; border-width: 0px 1px 1px 1px;">
                    <div>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    </form>
</body>
</html>
